<template>
  <v-container>
    <div id="chart">
      <apexchart type="bar" :width="width" :height="height" :options="chartOptions" :series="series"></apexchart>
    </div>
  </v-container>
</template>
<script>
export default {
  name: 'StackedBar',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: 350, type: Number },
    'height': { default: 350, type: Number },
    'series': { type: Array },
    'categories': { type: Array },
  },
  data() {
    return {
      chartOptions: {
        chart: {
          offsetX: 70,
          height: 350,
          // group: 'social',
          type: 'bar',
          stacked: true,
          toolbar: {
            show: true,
          },
          zoom: {
            enabled: true,
          },
        },
        colors: ['#B9F6CA', '#C1E1FF', '#FAE198', '#B6BFCE', '#C1BBF5'],
        xaxis: {
          categories: this.categories,
          title: {
            text: this.titleX,
            style: {
              color: '#909399',
            },
          },
        },
        dataLabels: {
          enabled: true,
          style: {
            fontSize: '10px',
            colors: ['#999999'],
          },
        },
        yaxis: {
          title: {
            text: this.titleY,
            style: {
              color: '#909399',
            },
          },
        },
        legend: {
          position: 'right',
          offsetY: 40,
          width: 130,
          horizontalAlign: 'left',
        },
        plotOptions: {
          bar: {
            borderRadius: 10,
            horizontal: false,
          },
        },
        stroke: {
          show: true,
          width: 1,
          colors: ['#ffffff'],
        },
      },
    };
  },
};
</script>
